usb_autopm_set_interface
Prev | Chapter 5. USB Core APIs | Next

## Name

usb_autopm_set_interface — set a USB interface's autosuspend state

## Synopsis

`int usb_autopm_set_interface (` | struct usb_interface * | intf`)`;

## Arguments

`intf`

  the usb_interface whose state should be set

## Description

This routine sets the autosuspend state of `intf`'s device according to `intf`'s usage counter, which the caller must have set previously. If the counter is <= 0, the device is autosuspended (if it isn't already suspended and if nothing else prevents the autosuspend). If the counter is > 0, the device is autoresumed (if it isn't already awake).

Prev | Up | Next
usb_autopm_get_interface | Home | usb_ifnum_to_if